### Function

# Clutter PathCallback

since: 13

#### Declaration

    void
    (* ClutterPathCallback) (
      const ClutterPathNode* node,
      gpointer data
    )

#### Description [src]

This function is passed to `clutter_path_foreach()` and will be called for each node contained in the path.

Available since: 13

#### Parameters

`node`

  Type: `ClutterPathNode`

  The node.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Optional data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.